Bug 212477 - "node is not part of the cluster" error message
"node is not part of the cluster" error message
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-cluster (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
bzcl34nup
:
: 440500 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-26 17:46 EDT by Thorsten Scherf
Modified: 2009-07-14 13:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:03:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thorsten Scherf 2006-10-26 17:46:32 EDT
Description of problem:
when running s-c-cluster on xen cluster nodes, the management tab disappers, and
 an error message pop up: "this node is not part of a cluster...".
clustat works without any problem.

Version-Release number of selected component (if applicable):
1.0.29-1.0

How reproducible:
running s-c-cluster

Steps to Reproduce:
1.running s-c-cluster
2.
3.
  
Actual results:
just the config tab appears

Expected results:
view also the managment tab

Additional info:
Comment 1 Fernando Brunelli Costa 2007-03-07 17:18:58 EST
In CommandHandler.py it tries to run /sbin/magma_tool, which is unavailable
since fedora core dropped "magma" after fc4.

I've modified CommandHandler.py to pass that magma_tool stage and find it
calling /sbin/cman_tool, which doesn't exists too. The right path is
/usr/sbin/cman_tool.

In the next round, it calls clustat, from rgmanager package, which was never
required by system-config-cluster.

It's seriously broken.
Comment 2 Edouard Bourguignon 2007-04-19 02:33:02 EDT
any update on this bug?

i have also change magma_tool to cman_tool, but i don't know what can replace
clustat

And i don't know if i do something wrong, but system-config-cluster doesn't add
a nodeid on each node line. Then cman complains about missing nodeids on
startup. I manually add the nodeids and now it seems to work well. 
Comment 3 Bug Zapper 2008-04-04 00:09:26 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Jim Parsons 2008-04-10 13:24:17 EDT
*** Bug 440500 has been marked as a duplicate of this bug. ***
Comment 5 John Poelstra 2008-05-05 21:51:09 EDT
changing version to 'rawhide' so it does not get EOL closed
Comment 6 Bug Zapper 2008-05-13 22:26:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 18:19:36 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-07-14 13:03:00 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.